#
# spec file for package OneConnect_Adapters_brcmfcoe (Version 1.0)
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# norootforbuild


Name:           oneconnect_adapters_brcmfcoe-sle11sp3-i586
%define         product oneconnect_adapters_brcmfcoe-sle11sp3-i586
Summary:        The OneConnect Adapters brcmfcoe Driver Kit for SLE11-SP3 i586
Version:        1.0
Release:        1.3
License:        GPL-2.0+
Group:          System/Fhs
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build


%description
This is the OneConnect Adapters brcmfcoe Driver Kit for SLE11-SP3 i586

%package release
Provides:       %name-%version
Summary:        The OneConnect Adapters brcmfcoe Driver Kit for SLE11-SP3 i586
Group:          System/Fhs
Provides:       product()
Provides:       product(OneConnect_Adapters_brcmfcoe) = %version-%release
Requires:       product_flavor(OneConnect_Adapters_brcmfcoe)

%description release
This is the OneConnect Adapters brcmfcoe Driver Kit for SLE11-SP3 i586 release

%package release-cd
License:        GPL-2.0+
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(cd)
Provides:       product_flavor(OneConnect_Adapters_brcmfcoe) = %version-%release
Requires:       product(SUSE_SLE) = 11.3
Summary:        The OneConnect Adapters brcmfcoe Driver Kit for SLE11-SP3 i586

%description release-cd
This is the OneConnect Adapters brcmfcoe Driver Kit for SLE11-SP3 i586



%prep


%build

%install
rm -Rf $RPM_BUILD_ROOT
## Create release packages
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/oneconnect_adapters_brcmfcoe-sle11sp3-i586-release-cd
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/oneconnect_adapters_brcmfcoe-sle11sp3-i586-release-cd/README << EOF
This package just exist just for providing the product flavor 'cd'.

EOF

mkdir -p $RPM_BUILD_ROOT/etc/products.d
cat >$RPM_BUILD_ROOT/etc/products.d/oneconnect_adapters_brcmfcoe-sle11sp3-i586.prod << EOF
<?xml version="1.0" encoding="UTF-8"?>
<product id="oneconnect_adapters_brcmfcoe-sle11sp3-i586" schemeversion="0">
  <vendor>SUSE SolidDriver: Emulex Corporation</vendor>
  <name>OneConnect_Adapters_brcmfcoe</name>
  <version>%{version}</version>
  <patchlevel>0</patchlevel>
  <release>%{release}</release>
  <arch>%{_target_cpu}</arch>
  <register>
    <target/>
    <release/>
    <repositories>
    </repositories>
  </register>
  <upgrades />
  <summary>OneConnect Adapters brcmfcoe Driver Kit for SLE11-SP3 i586</summary>
  <description>OneConnect Adapters brcmfcoe Driver Kit for SLE11-SP3 i586</description>
  <linguas />
  <urls></urls>
  <buildconfig>
    <producttheme>SLES</producttheme>
    <allowresolving>false</allowresolving>
  </buildconfig>
  <installconfig>
    <datadir>suse</datadir>
    <descriptiondir>suse/setup/descr</descriptiondir>
    <releasepackage name="oneconnect_adapters_brcmfcoe-sle11sp3-i586-release" flag="EQ" version="1.0" release="%{release}" />
    <distribution>SUSE_SLE</distribution>
  </installconfig>
  <runtimeconfig />
</product>

EOF



%clean
rm -rf %buildroot

%files release
%defattr(644,root,root,755)
%dir /etc/products.d
/etc/products.d/*.prod

%files release-cd
%defattr(-,root,root)
%doc %{_defaultdocdir}/oneconnect_adapters_brcmfcoe-sle11sp3-i586-release-cd



%changelog
